## DMAPRecordFactory DMAPRecordFactory |

## Functions

DMAPRecord * | dmap_record_factory_create ()

## Types and Values

struct | DMAPRecordFactoryIface

## Description

## Functions

### dmap_record_factory_create ()

    DMAPRecord *
    dmap_record_factory_create (DMAPRecordFactory *factory,
                                gpointer user_data);

#### Parameters

factory | A DMAPRecordFactory. |
user_data | Some piece of data that may be used to initialize return value. |

#### Returns

a new DMAPRecord as read from path.

## Types and Values

### struct DMAPRecordFactoryIface

    struct DMAPRecordFactoryIface {
    	GTypeInterface parent;

    	DMAPRecord *(*create) (DMAPRecordFactory * factory,
    			       gpointer user_data);
    };